/*
 * Original filename: PrintTitle.cpp
 * Module           : BRL-CAD
 *
 * Author           : Daniel Rossberg
 * Created          : 17.11.2005
 *
 * Source           : IABG, Einsteinstr. 20, 85521 Ottobrunn, Germany
 * Copyright        : (C) 2005-2008 by IABG mbH, all rights reserved
 *
 *
 *                        DISCLAIMER OF LIABILITY
 *
 * THIS FILE WAS CAREFULLY TESTED BY THE AUTHOR AND IS MADE AVAILABLE TO YOU
 * FREE-OF-CHARGE IN A HIGH-GRADE ACTUAL STATUS. REFERENCE IS MADE HEREWITH TO
 * THE FACT THAT IT IS NOT POSSIBLE TO DEVELOP SOFTWARE PROGRAMS SO THAT THEY
 * ARE ERROR-FREE FOR ALL APPLICATION CONDITIONS. AS THE FILE IS LICENSED FREE
 * OF CHARGE THERE IS NO WARRANTY FOR IT, INSOFAR AS SUCH WARRANTY IS NOT A
 * MANDATORY REQUIREMENT OF THE APPLICABLE LAW, SUCH AS IN CASE OF WILFUL ACTS.
 * IN ADDITION THERE IS NO LIABILITY ALSO INSOFAR AS SUCH LIABILITY IS NOT A
 * MANDATORY REQUIREMENT OF THE APPLICABLE LAW, SUCH AS IN CASE OF WILFUL ACTS.
 *
 * YOU DECLARE YOU ARE IN AGREEMENT WITH THE USE OF THIS FILE UNDER THE
 * ABOVE-LISTED USAGE CONDITIONS AND THE EXCLUSION OF A GUARANTEE AND OF
 * LIABILITY. SHOULD INDIVIDUAL PROVISIONS IN THESE CONDITIONS BE IN FULL OR IN
 * PART VOID, INVALID OR CONTESTABLE, THE VALIDITY OF ALL OTHER PROVISIONS OR
 * AGREEMENTS ARE UNAFFECTED BY THIS. FURTHER THE PARTIES UNDERTAKE AT THIS
 * JUNCTURE TO AGREE A LEGALLY VALID REPLACEMENT CLAUSE WHICH MOST CLOSELY
 * APPROXIMATES THE ECONOMIC OBJECTIVES.
 */

#include <iostream>

#ifndef __STDC__
#   define USE_PROTOTYPES 1
#endif

#define BRLCAD_DLL

#include "brlcad.h"


int main
(
    int   argc,
    char* argv[]
) {
    int ret = 3;

    if (argc < 2) {
        std::cout << "Usage: " << argv[0] << " <BRL-CAD Database>" << std::endl;
        ret = 1;
    }
    else {
        rt_i* rtip;

        if (BU_SETJUMP)
            goto END_MARK;

        rtip = rt_dirbuild(argv[1], 0, 0);

        if (rtip != 0) {
            std::cout << rtip->rti_dbip->dbi_title << std::endl;

            rt_free_rti(rtip);
            ret = 0;
        }
        else
            ret = 2;

END_MARK:
        BU_UNSETJUMP;
    }

    return ret;
}
